Were running Groupwise 6.5 at our office and now we've installed a new Windows Vista Machine. Groupwise 6.5 will not install I'm assuming we need to go to 7.0 is that correct? Thanks for the info!